%define upstream_name    CGI-Application-Plugin-RequireSSL
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Force SSL in specified pages or modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(CGI::Application)
BuildRequires: perl(Test::More)
BuildArch: noarch


%{?perl_default_filter}

%description
CGI::Application::Plugin::RequireSSL allows individual run modes or whole
modules to be protected by SSL. If a standard HTTP request is received, you can
specify whether an error is raised or if the request should be redirected to
the HTTPS equivalent URL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/CGI


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.40.0-13.mga10
+ Revision: 2207575
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.40.0-12.mga9
+ Revision: 1817040
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-11.mga8
+ Revision: 1493482
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-10.mga7
+ Revision: 1265993
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.40.0-9.mga6
+ Revision: 1023432
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.40.0-8.mga6
+ Revision: 969233
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 sander85 <sander85> 0.40.0-7.mga6
+ Revision: 864986
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-6.mga5
+ Revision: 748479
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.40.0-5.mga5
+ Revision: 732919
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 683635
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 509364
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 363505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 28389
- mageia rebuild
- imported package perl-CGI-Application-Plugin-RequireSSL


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 405777
- rebuild using %%perl_convert_version

* Wed Nov 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2009.1
+ Revision: 307081
- import perl-CGI-Application-Plugin-RequireSSL


* Wed Nov 26 2008 cpan2dist 0.04-1mdv
- initial mdv release, generated with cpan2dist

